<?php

/*

Plugin Name: Social Lock

Plugin URI: http://buffernow.com

Description: Social Lock Download Like to download plugin, Your premium link will be visible if visitor Like,+1 or tweet your post.

Version: 2.2

Author: aniketan

Author URI: http://buffernow.com

*/

require("settings.php");

class sociallock_main {

	public static $dir, $url;

	public $DLINK;

	private $options,$social_secret;

	

	function __construct() {

	sociallock_main::$dir = WP_PLUGIN_DIR.'/social-lock/';

	sociallock_main::$url = WP_PLUGIN_URL."/social-lock/";



	

	$this->init();

		

	}

	

	private function init(){

	 	if (is_admin()) {

			add_action('wp_ajax_sociallocker', array(&$this, "sociallocker_callback"));

			add_action('wp_ajax_nopriv_sociallocker', array(&$this, "sociallocker_callback"));

			add_action( 'admin_head', array(&$this,'sl_add_tinymce') );

		

		} else {

		   

			add_shortcode('social_lock', array(&$this, "Sllock_handler"));

		}	

		 $this->options = get_option( 'sl_option_name' );

		 $this->social_secret =substr(md5(NONCE_SALT), 0, 11);

	}

	

	

	function sl_add_tinymce() {

    global $typenow;



    // only on Post Type: post and page

   // if( ! in_array( $typenow, array( 'post', 'page' ) ) )

   //     return ;



    add_filter('mce_external_plugins', array(&$this, "generate_mce_plugin"));

	add_filter('mce_buttons', array(&$this, "render_sl_mce_button"), 0);

	$icn = plugins_url( 'img/sl_lock.png', __FILE__ );

	?>

	<style>

	.mce-i-sl-dashicons-lock{

	 background-image: url('<?php echo $icn; ?>') !important;

	}

	</style>

	<?php

}

	

function generate_mce_plugin($plugin_array){

	

		$plugin_array['sociallockplugin'] = plugins_url( 'js/button.js', __FILE__ );

		return $plugin_array;

	}

	

function render_sl_mce_button($buttons) {

		array_push($buttons, "|", "sociallockplugin");

		return $buttons;

	}	



	function print_sl_dialog(){

		require_once('button.tpl.html');

	}

	





	



	function sociallocker_callback() {

	global $wpdb;

		$post_id = $_POST['post'];

		$post_url = get_permalink($post_id);

		switch ($_POST['network']) {

			case "facebook":

				break;

			default:

				break;

		}

		if(setcookie("phoenix_".$post_id, $this->social_secret, time()+3600*24*180, "/")){

		echo "success";

		die;

		}

	}	



	function inject() { 

	?>

	<script type="text/javascript">

			var sociallocker_use = false;

			var sl_post_id = '<?php echo get_the_ID() ?>';

			var sl_ajax_url = '<?php echo admin_url('admin-ajax.php') ?>';

			<?php if(isset($this->options['use_sl_timer']) =='on') { ?>

			var use_timer = true;

			var timer_time = <?php echo isset( $this->options['timer_time'] ) ? esc_attr( $this->options['timer_time']) : 100 ?>;

			<?php } ?>

	</script>

	<div id="fb-root"></div>

	<?php



	

	

 	}	

	function Sllock_handler($_atts, $content=null) {

					global	$post,$wpdb;

					

					if(!has_shortcode($post->post_content,"social_lock")){

						return "";

					}

					

	

					

	

	if(!isset($_COOKIE["phoenix_".get_the_ID()]) || 

	$_COOKIE["phoenix_".get_the_ID()] != $this->social_secret)

      {

				$tweet = substr($post->post_content,0,20);

				

		        $my_url = isset($_atts["url"]) ? $_atts["url"] :get_permalink(get_the_ID());

			$content = '<div id="sl_social_mwrap">

				<div id="sl_lock_msg" class="sl red" >

					<b>'.$this->options['sl_default_msg'].'</b>

			    </div>';

			

			if(isset($this->options['use_sl_timer']) =='on'){

				$content .= '<div id="sl_countdown"></div>';

			}

			

		if($this->options['use_sl_button'] =='on'){			

			$content .= '<div id="sl_social_wrap">';

			if($this->options['plusone_button'] =='on'){

			

			$content .='<script src="//apis.google.com/js/plusone.js"></script>';

			

			

			$content .= '<div class="sl_button sl_plusone" >

			<g:plusone data-size="small" data-annotation="counter" data-callback="sociallocker_plusone"

			data-href="'.$my_url.'"></g:plusone></div>';

			}

			

			if($this->options['tweet_button'] =='on'){

				

			$content .='<script src="//platform.twitter.com/widgets.js"></script>';

			

			$content .=	'<div class="sl_button sl_twitter" >

			<a data-related="'.$this->options['twitter_username'].'" href="http://twitter.com/share" class="twitter-share-button"

			data-text="'.$tweet.'" data-url="'.$my_url.'" data-count="horizontal" data-lang="en">Tweet</a></div>';

			}

			

			

	if($this->options['like_button'] =='on' ){

	

		if($this->options['fb_app_id'] =="")

				{		

				$content .='<script src="//connect.facebook.net/en_US/all.js#xfbml=1"></script>';

				}

			else{

			

			$content .='<script src="//connect.facebook.net/en_US/all.js#xfbml=1&appId='.$this->options['fb_app_id'].'"></script>';

			}

	

		

		if($this->options['sl_post_or_fbpage']==0){

		

				$content .='<div class="sl_button sl_facebook" >

				<fb:like id="fbLikeButton" href="'.$this->options['fbpage_id'].'" layout="button_count" width="200"></fb:like></div>';

				}

				else{

				$content .='<div class="dd_button" style="float:left">

				<fb:like id="fbLikeButton" href="'.$my_url.'" layout="button_count" width="200"></fb:like></div>';

				}

			

			}

			$content .= '</div></div>';

			}

		}

		

		

     add_action("wp_footer", array(&$this, "inject"),100);

		

	 if(isset($this->options['use_sl_timer']) =='on'){

		wp_register_script('timeTO', plugins_url( 'js/jquery.timeTo.min.js', __FILE__ ),false,NULL,true);

		wp_enqueue_script("timeTO");

	}

	

		wp_register_script('sociallock_js', plugins_url( 'js/buffernow_sl.js', __FILE__ ),false,NULL,true);

		wp_enqueue_script("sociallock_js");

	

	 wp_register_style( 'sociallock_css', plugins_url('css/buffernow_sl.css', __FILE__));

	 wp_enqueue_style( 'sociallock_css' );

		

		

		

	return $content;

	}

}



new sociallock_main();

?>